be.ehealth.business.mycarenetcommons.domain

## Class SignedEncryptedResponseHolder

- java.lang.Object
- - be.ehealth.business.mycarenetcommons.domain.SignedEncryptedResponseHolder

-     public class SignedEncryptedResponseHolder
      extends Object

  business response used to handle the WS response. It wraps and expose through getter metods:

  - the signature data (xadesT and signed data)
  - the signature verification results (a `SignatureVerificationResult`
  - the business response as a byte array
  - the raw decrypted blob where the above data was derived from, namely a a `EncryptedKnownContent`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignedEncryptedResponseHolder(EncryptedKnownContent encryptedKnownContent, SignatureVerificationResult signatureVerificationResult, byte[] signedData, byte[] xadesT, byte[] businessResponse)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBusinessResponse()`
    `EncryptedKnownContent` | `getRawDecryptedBlob()`
    `SignatureVerificationResult` | `getSignatureVerificationResult()`
    `byte[]` | `getSignedData()`
    `byte[]` | `getXadesT()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignedEncryptedResponseHolder

          public SignedEncryptedResponseHolder(EncryptedKnownContent encryptedKnownContent,
                                               SignatureVerificationResult signatureVerificationResult,
                                               byte[] signedData,
                                               byte[] xadesT,
                                               byte[] businessResponse)

  - ### Method Detail

    - #### getRawDecryptedBlob

          public EncryptedKnownContent getRawDecryptedBlob()

    - #### getSignatureVerificationResult

          public SignatureVerificationResult getSignatureVerificationResult()

    - #### getSignedData

          public byte[] getSignedData()

    - #### getXadesT

          public byte[] getXadesT()

    - #### getBusinessResponse

          public byte[] getBusinessResponse()

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.